'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AtomLabelTypes = undefined;

var _values = require('babel-runtime/core-js/object/values');

var _values2 = _interopRequireDefault(_values);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CLASSNAME = 'sui-AtomLabel';

var TYPES = {
  SUCCESS: 'success',
  ERROR: 'error'
};

var getClass = function getClass(_ref) {
  var type = _ref.type;
  return (0, _classnames2.default)(CLASSNAME, CLASSNAME + '--' + type);
};

var AtomLabel = function AtomLabel(_ref2) {
  var name = _ref2.name,
      text = _ref2.text,
      optionalText = _ref2.optionalText,
      type = _ref2.type;
  return _react2.default.createElement(
    'label',
    { htmlFor: name, className: getClass({ type: type }) },
    text,
    optionalText && _react2.default.createElement(
      'span',
      { className: 'sui-AtomLabel-optionalText' },
      optionalText
    )
  );
};

AtomLabel.displayName = 'AtomLabel';

AtomLabel.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  /**
   * used as for attribute. Must be the same as the form element id
   */
  name: _propTypes2.default.string.isRequired,
  /**
   * The label itself
   */
  text: _propTypes2.default.string.isRequired,
  /**
   * The optional label text
   */
  optionalText: _propTypes2.default.string,
  /**
   * Label type: 'success' or 'error', use AtomLabelTypes
   */
  type: _propTypes2.default.oneOf((0, _values2.default)(TYPES))
} : {} : {};

exports.default = AtomLabel;
exports.AtomLabelTypes = TYPES;